Subject: Re: commit/from command in git-fast-import

From: Mike Hommey <[email-masked]>
Date: Fri, 27 Jan 2012 15:08:08 +0100

On Sat, Jan 28, 2012 at 01:00:17AM +1100, David Barr wrote:
> On Fri, Jan 27, 2012 at 11:48 PM, Mike Hommey <[email-masked]> wrote:
> > When I do create a commit on a given branch with a stream like:
> >  commit refs/heads/branch
> >  author ...
> >  committer ...
> >  data <<EOF
> >  Commit message
> >  EOF
> >  deleteall
> >
> > All I get is this warning:
> >  warning: Not updating refs/heads/branch (new tip new_sha1
> > does not contain old_sha1)
> >
> > And the branch only has one commit, which is the one I just created.
> > On the other hand, if I add a "from" instruction in the above stream,
> > I have the expected branch history.
> 
> This is precisely the expected behavior.
> If 'from' is omitted, the resulting commit has no preceding history.
> On the other hand, what you want is to specify the parent so that
> there is a continuation of history.

This is however not what the manpage suggests in what I quoted in my
message:
  Omitting the from command on existing branches is usually desired, as
  the current commit on that branch is automatically assumed to be the
  first ancestor of the new commit.

Mike